API Reference
DashboardGet API keyAPI key

Getting started

  • Introduction
  • Authentication
  • Errors & rate limits

Voice agents

WhatsApp agents

    • Overview
    • GETList conversations
    • GETGet conversation
    • PATCHUpdate conversation
    • DELDelete conversation
    • GETGet lead summary

Workspace

WhatsApp agentsWhatsApp leads

Delete conversation

Permanently deletes a conversation and all of its messages.

DELETE/v2/whatsapp/conversations/{id}
This can't be undone. If the customer messages again, a new conversation is started.

Authorization

  • Authorizationstringheaderrequired

    Bearer authentication header of the form Bearer <api_key>, where <api_key> is a key from Account Settings → API keys in your dashboard.

Path parameters

  • idstring (uuid)required

    The conversation's id.

Response

Confirmation of the deletion.

  • statusstring

    Always deleted.

  • idstring (uuid)

    The deleted conversation's id.

Request
curl --request DELETE \
  --url 'https://api.tarangnow.com/v2/whatsapp/conversations/d2c3b4a5-9687-4f1e-8d2c-3b4a59687f1e' \
  --header 'Authorization: Bearer <api_key>'
Response
{
  "status": "deleted",
  "id": "d2c3b4a5-9687-4f1e-8d2c-3b4a59687f1e"
}
PreviousUpdate conversationNextGet lead summary